package com.example.easj.picassoexample;

import android.content.Intent;
import android.net.Uri;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import com.squareup.picasso.Callback;
import com.squareup.picasso.Picasso;

// Adapted from http://square.github.io/picasso/
// Download the JAR (Java ARchive) file from http://square.github.io/picasso/
// Copy the JAR file to the libs folder of your project
// Add to the Gradle (module) file of your project:
//     compile 'com.squareup.picasso:picasso:2.5.2'
// Editor will ask for reloading the Gradle file
// <uses-permission android:name="android.permission.INTERNET" />
public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        ImageView imageView1 = (ImageView) findViewById(R.id.mainImageView1);
        Picasso.with(this).load("http://i.imgur.com/DvpvklR.png").resize(200, 200).centerCrop().into(imageView1);

        ImageView imageView2 = (ImageView) findViewById(R.id.mainImageView2);
        Picasso.with(this).load("http://doesNotExist").error(R.mipmap.ic_launcher).into(imageView2, new Callback() {
            // http://stackoverflow.com/questions/22330772/why-use-android-picasso-library-to-download-images
            @Override
            public void onSuccess() {
                TextView statusView = (TextView) findViewById(R.id.mainTextViewStatus);
                statusView.setText("Succes");
            }

            @Override
            public void onError() {
                TextView statusView = (TextView) findViewById(R.id.mainTextViewStatus);
                statusView.setText("Error");
            }
        });
    }

    public void mainButtonPicassoDocs(View view) {
        final Uri uri = Uri.parse("http://square.github.io/picasso/");
        Intent intent = new Intent(Intent.ACTION_VIEW, uri);
        startActivity(intent);
    }
}
